%global udevdir %(pkg-config --variable=udevdir udev)

Name:           linuxconsoletools
Version:        1.8.1
Release:        1
Summary:        Tools for connecting/testing joysticks & legacy devices to the kernel's input subsystem
License:        GPLv2+
URL:            http://sourceforge.net/projects/linuxconsole/
Source:         http://liquidtelecom.dl.sourceforge.net/project/linuxconsole/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  systemd-udev

Provides:       joystick = %{version}-%{release}
Provides:       ff-utils = 1:%{version}-%{release}
Obsoletes:      joystick < 1.2.16-1
Obsoletes:      ff-utils < 2.4.22-1
Conflicts:      gpm < 1.20.6-26


%description
This project maintains the Linux Console tools, which include utilities to\
test and configure joysticks, connect legacy devices to the kernel's input subsystem\
(providing support for serial mice, touchscreens etc.), and test the input event layer.

%package        help
Summary:        Help manual for %{name}

%description    help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags}"

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
sed -i "s|%{_prefix}/share/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store


%install
%make_install PREFIX=%{_prefix}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_prefix}/share/joystick/* %{buildroot}%{_libexecdir}/joystick/

mv -f %{buildroot}/lib %{buildroot}/usr/
chmod -x %{buildroot}%{_mandir}/man1/*


%files
%license COPYING
%doc README NEWS

%{_bindir}/*
%{_libexecdir}/joystick/*
%{udevdir}/*

%files help
%{_mandir}/man1/*


%changelog
* Thu Jun 16 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.8.1-1
- Upgrade to version 1.8.1

* Wed Jun 30 2021 zhanzhimin<zhanzhimin@huawei.com> - 1.7.0-2
- fix build failure due to lack of git buildrequires

* Mon Oct 26 2020 weishengjing1<weishengjing1@huawei.com> - 1.7.0-1
- upgrade to v1.7.0

* Mon Dec 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.0-3
- Package init
